#!/usr/bin/env python
# -*- coding: utf-8 -*- #
# vim:sts=4:sw=4

AUTHOR = 'LibreItalia'
SITENAME = 'LibreItalia Conference'
SITEURL = ''
#SITEURL = 'https://conference.libreitalia.org'
AVATAR = '/images/LibreItalia_LI_shadow.png'

PATH = 'content'

TIMEZONE = 'Europe/Rome'

DEFAULT_LANG = 'it'

PLUGIN_PATHS = [ "plugins", ]
PLUGINS = [ "pelican_alias", ]

STATIC_PATHS = [ 'js', 'images', 'css' ]
EXTRA_PATH_METADATA = {
    'images/favicon.ico': { 'path': 'favicon.ico' },
}

GOOGLE_ANALYTICS = False

DEFAULT_PAGINATION = False

PAGE_URL = '{slug}/'
PAGE_SAVE_AS = '{slug}/index.html'

MENUITEMS = (
    ("2020", "/2020", False),
    ("2021", "/2021", False),
    ("Programma", "/2021/programma", False),
    #("<span class='liveactive'>%nbsp;</span>", "/live", 1),
    #("Chill Room", "https://open.meet.garr.it/libreitaliaconf-chillroom", 1),
)

PARTNERS = (
    ('http://www.ils.org/', 'Italian Linux Society', 'https://upload.wikimedia.org/wikipedia/commons/0/0d/Logoilsvettoriale.svg', '50'),
    ('https://www.garr.it/it/', 'Home | GARR', 'https://www.garr.it/images/logo_medio_garr.png', '150'),
)

DISPLAY_PAGES_ON_MENU = False
DISPLAY_CATEGORIES_ON_MENU = False

# Pelican Blue theme
THEME = 'themes/pelican-blue'
DISPLAY_FOOTER = False

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

SOCIAL = (
        ('fas fa-home', 'https://libreitalia.org'),
        ('fab fa-twitter', 'http://twitter.com/libreitalia'),
        ('fab fa-facebook-f', 'http://facebook.com/libreitalia'),
        ('fab fa-slideshare', 'http://www.slideshare.net/libreitalia'),
        ('fab fa-youtube', 'http://youtube.com/channel/UCxOY9LbVqShoGyEcl3vNRfQ'),
        ('fab fa-telegram', 'https://telegram.me/libreitalia'),
)

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True
